Bug 1107714 - Expose compute profiles via API
Summary: Expose compute profiles via API
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:57 UTC by Bryan Kearney
Modified: 2016-04-22 16:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:26:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 4250 None None None 2016-04-22 16:39 UTC

Description Bryan Kearney 2014-06-10 12:57:00 UTC
I've just upgraded to 1.4 so I could use compute profiles.

Could you please add compute profiles to API?

Comment 1 Bryan Kearney 2014-06-10 12:57:02 UTC
Created from redmine issue http://projects.theforeman.org/issues/4250

Comment 2 Bryan Kearney 2014-06-10 12:57:09 UTC
Upstream bug assigned to jmagen@redhat.com

Comment 3 Bryan Kearney 2014-06-10 13:05:02 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/4250 has been closed

Comment 6 sthirugn@redhat.com 2014-08-26 19:54:19 UTC
Verified. The below API commands are now working fine

GET Compute Profiles:
curl -X GET -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure https://$host/api/v2/compute_profiles/

GET a specific Compute Profile:
curl -X GET -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure -d '{"id":"1"}' https://$host/api/v2/compute_profiles/1

Create Compute Profile:
curl -X POST -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure -d '{"compute_profile":{"name":"testcomputeprofile1"}}' https://$host/api/v2/compute_profiles/

Update Compute Profile:
curl -X PUT -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure -d '{"id":"4","compute_profile":{"name":"testcomputeprofile2"}}' https://$host/api/v2/compute_profiles/4

Remove Compute Profile:
curl -X DELETE -H "Accept:application/json" -H "Content-Type: application/json" -u admin:changeme --insecure -d '{"id":"4"}' https://$host/api/v2/compute_profiles/4

Version Tested:
GA Snap 6 - Satellite-6.0.4-RHEL-6-20140820.1

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.41-1.el6sat.noarch
* foreman-compute-1.6.0.41-1.el6sat.noarch
* foreman-gce-1.6.0.41-1.el6sat.noarch
* foreman-libvirt-1.6.0.41-1.el6sat.noarch
* foreman-ovirt-1.6.0.41-1.el6sat.noarch
* foreman-postgresql-1.6.0.41-1.el6sat.noarch
* foreman-proxy-1.6.0.29-1.el6sat.noarch
* foreman-selinux-1.6.0.7-1.el6sat.noarch
* foreman-vmware-1.6.0.41-1.el6sat.noarch
* katello-1.5.0-29.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.60-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 7 jaudet 2014-09-03 20:08:54 UTC
Automated tests have been added for this portion of the API. The API endpoints all act as expected.

Comment 8 Bryan Kearney 2014-09-11 12:26:28 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.